Bug 1750701 - Review Request: php-pragmarx-google2fa5 - Google Two-Factor Authentication for PHP Package
Summary: Review Request: php-pragmarx-google2fa5 - Google Two-Factor Authentication fo...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1751218
TreeView+ depends on / blocked
 
Reported: 2019-09-10 09:51 UTC by Remi Collet
Modified: 2019-09-29 02:01 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-29 00:00:51 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Remi Collet 2019-09-10 09:51:26 UTC
Spec URL: https://git.remirepo.net/cgit/rpms/php/pragmarx/php-pragmarx-google2fa5.git/plain/php-pragmarx-google2fa5.spec?id=9a491f7359688b11e0cb64b44dd97e8ba7ad23ab
SRPM URL: http://rpms.remirepo.net/SRPMS/php-pragmarx-google2fa5-5.0.0-1.remi.src.rpm
Description: 
Google2FA is a PHP implementation of the Google Two-Factor Authentication
Module, supporting the HMAC-Based One-time Password (HOTP) algorithm
specified in RFC 4226 and the Time-based One-time Password (TOTP) algorithm
specified in RFC 6238.

Autoloader: /usr/share/php/PragmaRX/Google2FA5/autoload.php


Fedora Account System Username: remi


--

New dependency of phpMyAdmin 5

Comment 1 Robert-André Mauchin 2019-09-19 18:31:44 UTC
Package approved.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "Expat License", "*No copyright* GPL
     (v3 or later)". 21 files have unknown license. Detailed output of
     licensecheck in /home/bob/packaging/review/php-pragmarx-
     google2fa5/review-php-pragmarx-google2fa5/licensecheck.txt
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/share/php/PragmaRX(php-
     pragmarx-google2fa)
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.

PHP:
[ ]: Run phpci static analyze on all php files.
     Note: Test run failed


Rpmlint
-------
Checking: php-pragmarx-google2fa5-5.0.0-1.fc32.noarch.rpm
          php-pragmarx-google2fa5-5.0.0-1.fc32.src.rpm
php-pragmarx-google2fa5.noarch: W: spelling-error %description -l en_US Autoloader -> Auto loader, Auto-loader, Freeloader
php-pragmarx-google2fa5.noarch: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
php-pragmarx-google2fa5.src: W: spelling-error %description -l en_US Autoloader -> Auto loader, Auto-loader, Freeloader
php-pragmarx-google2fa5.src: W: spelling-error %description -l en_US usr -> use, us, user
php-pragmarx-google2fa5.src: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
2 packages and 0 specfiles checked; 0 errors, 5 warnings.

Comment 3 Gwyn Ciesla 2019-09-20 13:06:22 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/php-pragmarx-google2fa5

Comment 4 Fedora Update System 2019-09-20 13:34:25 UTC
FEDORA-2019-e541c0c120 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-e541c0c120

Comment 5 Fedora Update System 2019-09-20 13:34:26 UTC
FEDORA-2019-908f99be21 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-908f99be21

Comment 6 Fedora Update System 2019-09-21 01:08:30 UTC
php-pragmarx-google2fa5-5.0.0-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-e541c0c120

Comment 7 Fedora Update System 2019-09-21 02:00:55 UTC
php-pragmarx-google2fa5-5.0.0-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-908f99be21

Comment 8 Fedora Update System 2019-09-29 00:00:51 UTC
php-pragmarx-google2fa5-5.0.0-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2019-09-29 02:01:42 UTC
php-pragmarx-google2fa5-5.0.0-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.